From 0e2e0508351d746944eb94ed82de64070def1a64 Mon Sep 17 00:00:00 2001
From: Ramiro Polla <ramiro.polla@gmail.com>
Date: Mon, 18 Jan 2010 17:12:00 -0200
Subject: [PATCH] Only print CPU capabilities if there are any.

---
 src/libvlc.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/src/libvlc.c b/src/libvlc.c
index b77311d..b6b9901 100644
--- a/src/libvlc.c
+++ b/src/libvlc.c
@@ -785,7 +785,8 @@ int libvlc_InternalInit( libvlc_int_t *p_libvlc, int i_argc,
     p_capabilities[sizeof(p_capabilities) - 1] = '\0';
 #endif
 
-    msg_Dbg( p_libvlc, "CPU has capabilities %s", p_capabilities );
+    if (p_capabilities[0])
+        msg_Dbg( p_libvlc, "CPU has capabilities %s", p_capabilities );
 
     /*
      * Choose the best memcpy module
-- 
1.5.4.3

